Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.util.glsl
Class ShaderUtil

    java.lang.Object
      com.sun.opengl.util.glsl.ShaderUtil

    public class ShaderUtil

extends Object

Constructor Summary
`ShaderUtil()`

Method Summary
`static void` | `attachShader(GL gl, int program, IntBuffer shaders)`
`static void` | `compileShader(GL gl, IntBuffer shaders)`
`static boolean` | `createAndCompileShader(GL gl, IntBuffer shader, int shaderType, String[][] sources, PrintStream verboseOut)`
`static boolean` | `createAndLoadShader(GL gl, IntBuffer shader, int shaderType, int binFormat, Buffer bin, PrintStream verboseOut)`
`static void` | `createShader(GL gl, int type, IntBuffer shaders)`
`static void` | `deleteShader(GL gl, IntBuffer shaders)`
`static void` | `detachShader(GL gl, int program, IntBuffer shaders)`
`static String` | `getProgramInfoLog(GL gl, int programObj)`
`static Set` | `getShaderBinaryFormats(GL gl)`
`static String` | `getShaderInfoLog(GL gl, int shaderObj)`
`static boolean` | `isProgramStatusValid(GL gl, int programObj, int name)`
`static boolean` | `isProgramValid(GL gl, int programObj)`
`static boolean` | `isProgramValid(GL gl, int programObj, PrintStream verboseOut)`
`static boolean` | `isShaderCompilerAvailable(GL gl)`
`static boolean` | `isShaderStatusValid(GL gl, IntBuffer shaders, int name)`
`static boolean` | `isShaderStatusValid(GL gl, IntBuffer shaders, int name, PrintStream verboseOut)`
`static boolean` | `isShaderStatusValid(GL gl, int shaderObj, int name)`
`static boolean` | `isShaderStatusValid(GL gl, int shaderObj, int name, PrintStream verboseOut)`
`static void` | `shaderBinary(GL gl, IntBuffer shaders, int binFormat, Buffer bin)`
`static void` | `shaderSource(GL gl, IntBuffer shaders, String[][] sources)`
`static void` | `shaderSource(GL gl, int shader, String[] source)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShaderUtil

    public ShaderUtil()

Method Detail

### getShaderInfoLog

    public static String getShaderInfoLog(GL gl,
                                          int shaderObj)

### getProgramInfoLog

    public static String getProgramInfoLog(GL gl,
                                           int programObj)

### isShaderStatusValid

    public static boolean isShaderStatusValid(GL gl,
                                              int shaderObj,
                                              int name)

### isShaderStatusValid

    public static boolean isShaderStatusValid(GL gl,
                                              int shaderObj,
                                              int name,
                                              PrintStream verboseOut)

### isShaderStatusValid

    public static boolean isShaderStatusValid(GL gl,
                                              IntBuffer shaders,
                                              int name)

### isShaderStatusValid

    public static boolean isShaderStatusValid(GL gl,
                                              IntBuffer shaders,
                                              int name,
                                              PrintStream verboseOut)

### isProgramStatusValid

    public static boolean isProgramStatusValid(GL gl,
                                               int programObj,
                                               int name)

### isProgramValid

    public static boolean isProgramValid(GL gl,
                                         int programObj)

### isProgramValid

    public static boolean isProgramValid(GL gl,
                                         int programObj,
                                         PrintStream verboseOut)

### createShader

    public static void createShader(GL gl,
                                    int type,
                                    IntBuffer shaders)

### getShaderBinaryFormats

    public static Set getShaderBinaryFormats(GL gl)

### isShaderCompilerAvailable

    public static boolean isShaderCompilerAvailable(GL gl)

### shaderSource

    public static void shaderSource(GL gl,
                                    int shader,
                                    String[] source)

### shaderSource

    public static void shaderSource(GL gl,
                                    IntBuffer shaders,
                                    String[][] sources)

### shaderBinary

    public static void shaderBinary(GL gl,
                                    IntBuffer shaders,
                                    int binFormat,
                                    Buffer bin)

### compileShader

    public static void compileShader(GL gl,
                                     IntBuffer shaders)

### attachShader

    public static void attachShader(GL gl,
                                    int program,
                                    IntBuffer shaders)

### detachShader

    public static void detachShader(GL gl,
                                    int program,
                                    IntBuffer shaders)

### deleteShader

    public static void deleteShader(GL gl,
                                    IntBuffer shaders)

### createAndLoadShader

    public static boolean createAndLoadShader(GL gl,
                                              IntBuffer shader,
                                              int shaderType,
                                              int binFormat,
                                              Buffer bin,
                                              PrintStream verboseOut)

### createAndCompileShader

    public static boolean createAndCompileShader(GL gl,
                                                 IntBuffer shader,
                                                 int shaderType,
                                                 String[][] sources,
                                                 PrintStream verboseOut)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.